package com.mvc.model;

/**
 * 统一响应对象
 */
public class ResultModel {
    public ResultModel(Object res) {
        this.flag = "1";
        this.res = res;
    }

    public ResultModel(String error) {
        this.flag = "0";
        this.error = error;
    }

    /*public ResultModel(String flag,String error){
        this.flag="0";
        this.error=error;
    }*/

    public ResultModel(String res, Object empty) {
        this.flag = "1";
        this.res = res;
    }

    private String flag;
    private Object res;
    private String error;

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public Object getRes() {
        return res;
    }

    public void setRes(Object res) {
        this.res = res;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }
}
